﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace _02DAMSample
{
    public partial class WaveSet : Form
    {
        public byte WaveType;
        public byte ClkSel;
        public byte OutputCont;
        public short DataLen;
        public short Amp;
        public int IntClock;
        public Boolean SyncChk;

        public WaveSet()
        {
            InitializeComponent();
        }

        private void Button1_Click(object sender, EventArgs e)
        {
            if (WaveType1.Checked)
                WaveType = 0;
            else if (WaveType2.Checked)
                WaveType = 1;
            else if (WaveType3.Checked)
                WaveType = 2;

            if (ClockSel1.Checked)
                ClkSel = 1;
            else
                ClkSel = 0;

            if (Control1.Checked)
                OutputCont = 0;
            else if (Control2.Checked)
                OutputCont = 1;
            else if (Control3.Checked)
                OutputCont = 2;

            if (short.TryParse(DataNum.Text, out DataLen) == false)
            {
                MessageBox.Show("データ数の書式に誤りがあります");
                return;
            }

            if (short.TryParse(AmpNum.Text, out Amp) == false)
            {
                MessageBox.Show("振幅の書式に誤りがあります");
                return;
            }

            if (int.TryParse(ClockNum.Text, out IntClock) == false)
            {
                MessageBox.Show("クロック周期の書式に誤りがあります");
                return;
            }

            SyncChk = SyncOut.Checked;

            this.DialogResult = DialogResult.OK;
            Hide();
        }

        private void WaveSet_Load(object sender, EventArgs e)
        {

        }
    }
}
