
#ifdef TUSBDAM_EXPORTS
#define TUSBDAM_API __declspec(dllexport) _cdecl
#else
#define TUSBDAM_API __declspec(dllimport) _cdecl
#endif

#ifdef __cplusplus
extern "C"{
#endif

	short TUSBDAM_API Tusbdam_Device_Open(short id);
	void TUSBDAM_API Tusbdam_Device_Close(short id);
	short TUSBDAM_API Tusbdam_Pio_Direction( short id ,unsigned char dir);
	short TUSBDAM_API Tusbdam_Pio_Write( short id ,unsigned char dat);
	short TUSBDAM_API Tusbdam_Pio_Read(short id,unsigned char *dat);
	short TUSBDAM_API Tusbdam_Range_Set( short id ,unsigned char ch, unsigned char pol,unsigned char range);
	short TUSBDAM_API Tusbdam_Range_Read(short id,unsigned char ch, unsigned char *pol, unsigned char *range);
	short TUSBDAM_API Tusbdam_Clock_Set( short id ,unsigned char sel,int clock);
	short TUSBDAM_API Tusbdam_Cycle_Set( short id ,short cycle);
	short TUSBDAM_API Tusbdam_Single_Out( short id ,unsigned char ch,int data);
	short TUSBDAM_API Tusbdam_Start( short id ,unsigned char sel);
	short TUSBDAM_API Tusbdam_Stop( short id );
	short TUSBDAM_API Tusbdam_Single_Shot( short id );
	short TUSBDAM_API Tusbdam_Set_Memory( short id ,unsigned char ch, short Size, int *Data);

#ifdef __cplusplus
}
#endif

